Google Health API

The Google Health API lets you view and manage health and fitness metrics and measurement data.

Service: health.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://health.googleapis.com

REST Resource: v4.users

Methods
getIdentity GET /v4/{name=users/*/identity}
Gets the user's identity.
getProfile GET /v4/{name=users/*/profile}
Returns user Profile details.
getSettings GET /v4/{name=users/*/settings}
Returns user settings details.
updateProfile PATCH /v4/{profile.name=users/*/profile}
Updates the user's profile details.
updateSettings PATCH /v4/{settings.name=users/*/settings}
Updates the user's settings details.

REST Resource: v4.users.dataTypes.dataPoints

Methods
batchDelete POST /v4/{parent=users/*/dataTypes/*}/dataPoints:batchDelete
Delete a batch of identifyable data points.
create POST /v4/{parent=users/*/dataTypes/*}/dataPoints
Creates a single identifiable data point.
dailyRollUp POST /v4/{parent=users/*/dataTypes/*}/dataPoints:dailyRollUp
Roll up data points over civil time intervals for supported data types.
exportExerciseTcx GET /v4/{name=users/*/dataTypes/*/dataPoints/*}:exportExerciseTcx
Exports exercise data in TCX format.
list GET /v4/{parent=users/*/dataTypes/*}/dataPoints
Query user health and fitness data points.
patch PATCH /v4/{dataPoint.name=users/*/dataTypes/*/dataPoints/*}
Updates a single identifiable data point.
reconcile GET /v4/{parent=users/*/dataTypes/*}/dataPoints:reconcile
Reconcile data points from multiple data sources into a single data stream.
rollUp POST /v4/{parent=users/*/dataTypes/*}/dataPoints:rollUp
Roll up data points over physical time intervals for supported data types.